curl -X GET 'https://api.countrystatecity.in/v1/regions/3' \
-H 'X-CSCAPI-KEY: YOUR_API_KEY'
const response = await fetch('https://api.countrystatecity.in/v1/regions/3', {
headers: { 'X-CSCAPI-KEY': 'YOUR_API_KEY' }
});
const region = await response.json();
console.log(region);
import requests
response = requests.get(
'https://api.countrystatecity.in/v1/regions/3',
headers={'X-CSCAPI-KEY': 'YOUR_API_KEY'}
)
region = response.json()
print(region)
{
"id": 3,
"name": "Asia",
"wikiDataId": "Q48"
}
{
"id": 3,
"name": "Asia",
"wikiDataId": "Q48",
"translations": "{\"kr\":\"μμμ\",\"pt\":\"Γsia\",\"nl\":\"AziΓ«\",\"hr\":\"Azija\",\"fa\":\"Ψ’Ψ³ΫΨ§\",\"de\":\"Asien\",\"es\":\"Asia\",\"fr\":\"Asie\",\"ja\":\"γ’γΈγ’\",\"it\":\"Asia\",\"cn\":\"δΊζ΄²\",\"tr\":\"Asya\"}"
}
{
"error": "This feature is not available on your current plan.",
"feature": "regionsApi",
"upgradeUrl": "https://app.countrystatecity.in/pricing"
}
{
"error": "Region not found."
}
Regions Endpoints
Get Region Details
Retrieve a single geographic region by its numeric ID
GET
/
v1
/
regions
/
{id}
curl -X GET 'https://api.countrystatecity.in/v1/regions/3' \
-H 'X-CSCAPI-KEY: YOUR_API_KEY'
const response = await fetch('https://api.countrystatecity.in/v1/regions/3', {
headers: { 'X-CSCAPI-KEY': 'YOUR_API_KEY' }
});
const region = await response.json();
console.log(region);
import requests
response = requests.get(
'https://api.countrystatecity.in/v1/regions/3',
headers={'X-CSCAPI-KEY': 'YOUR_API_KEY'}
)
region = response.json()
print(region)
{
"id": 3,
"name": "Asia",
"wikiDataId": "Q48"
}
{
"id": 3,
"name": "Asia",
"wikiDataId": "Q48",
"translations": "{\"kr\":\"μμμ\",\"pt\":\"Γsia\",\"nl\":\"AziΓ«\",\"hr\":\"Azija\",\"fa\":\"Ψ’Ψ³ΫΨ§\",\"de\":\"Asien\",\"es\":\"Asia\",\"fr\":\"Asie\",\"ja\":\"γ’γΈγ’\",\"it\":\"Asia\",\"cn\":\"δΊζ΄²\",\"tr\":\"Asya\"}"
}
{
"error": "This feature is not available on your current plan.",
"feature": "regionsApi",
"upgradeUrl": "https://app.countrystatecity.in/pricing"
}
{
"error": "Region not found."
}
Retrieve detailed information for a single geographic region (e.g., Africa, Americas, Asia, Europe, Oceania, Polar) by its numeric ID.
Availability: Supporter plan and above. Returns
403 on lower tiers.Trim response columns: Add
?fields=name,iso2,... to receive only the columns you need. Available on Supporter+ plans. See the Field Filtering & Sorting guide for syntax.Authentication
string
required
Your API key for authentication
Path Parameters
integer
required
Numeric region ID (e.g.,
3 for Asia, 4 for Europe)Response
integer
Unique identifier for the region
string
Region name (e.g., Asia, Europe)
string
Wikidata item identifier. Coordinates tier and above.
string
JSON string of region name translations in 18+ languages. Full access level only.
curl -X GET 'https://api.countrystatecity.in/v1/regions/3' \
-H 'X-CSCAPI-KEY: YOUR_API_KEY'
const response = await fetch('https://api.countrystatecity.in/v1/regions/3', {
headers: { 'X-CSCAPI-KEY': 'YOUR_API_KEY' }
});
const region = await response.json();
console.log(region);
import requests
response = requests.get(
'https://api.countrystatecity.in/v1/regions/3',
headers={'X-CSCAPI-KEY': 'YOUR_API_KEY'}
)
region = response.json()
print(region)
{
"id": 3,
"name": "Asia",
"wikiDataId": "Q48"
}
{
"id": 3,
"name": "Asia",
"wikiDataId": "Q48",
"translations": "{\"kr\":\"μμμ\",\"pt\":\"Γsia\",\"nl\":\"AziΓ«\",\"hr\":\"Azija\",\"fa\":\"Ψ’Ψ³ΫΨ§\",\"de\":\"Asien\",\"es\":\"Asia\",\"fr\":\"Asie\",\"ja\":\"γ’γΈγ’\",\"it\":\"Asia\",\"cn\":\"δΊζ΄²\",\"tr\":\"Asya\"}"
}
{
"error": "This feature is not available on your current plan.",
"feature": "regionsApi",
"upgradeUrl": "https://app.countrystatecity.in/pricing"
}
{
"error": "Region not found."
}
Related Endpoints
- Get All Regions β list every region
- Get Subregions of a Region β drill down into subregions
Was this page helpful?
βI